Bug 831469 - [ovirt] [engine-core] connectStorageServer fails when using specific NFS version (STR is sent while INT is expected)
[ovirt] [engine-core] connectStorageServer fails when using specific NFS vers...
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity high
: ---
: 3.1
Assigned To: Ayal Baron
storage
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 00:40 EDT by Haim
Modified: 2016-02-10 11:44 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 04:00:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haim 2012-06-13 00:40:00 EDT
Description of problem:

one of the community members just reported the following where practically, connectStorageServer fails as engine send NFS version as str while vdsm expects int.

I just did a clean install of ovirt version 3.1 on CentOS 6.2 (dreyou build @ http://www.dreyou.org/ovirt/). When I attempt to add storage (Data/NFS), the web GUI hangs and the storage is not added. The engine log reports:

Class Name: org.ovirt.engine.core.vdsbroker.vdsbroker.ServerConnectionStatusReturnForXmlRpc
mStatusList                   Null
mStatus                       Class Name: org.ovirt.engine.core.vdsbroker.vdsbroker.StatusForXmlRpc
mCode                         451
mMessage                      Error storage server connection: ("domType=1, spUUID=00000000-0000-0000-0000-000000000000, conList=[{'port': '', 'connection': 'cmcd-db-vip.in.hwlab:/vmstore', 'iqn': '', 'portal': '', 'user': '', 'protocol_version': '3', 'password': '******', 'id': '500d06d3-00f7-4d8f-b42b-eabd6a394be7'}]",)


The vdsm.log on the host I'm using (also CentOS 6.2, vdsm-4.9.6-0.274.git937a4b7) says:

Thread-3810::ERROR::2012-06-12 14:58:19,879::task::853::TaskManager.Task::(_setError) Task=`c514ffd1-2777-44ae-9b77-06a9fb51f41e`::Unexpected error
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/task.py", line 861, in _run
    return fn(*args, **kargs)
  File "/usr/share/vdsm/logUtils.py", line 38, in wrapper
    res = f(*args, **kwargs)
  File "/usr/share/vdsm/storage/hsm.py", line 1926, in connectStorageServer
    conObj = storageServer.ConnectionFactory.createConnection(conInfo)
  File "/usr/share/vdsm/storage/storageServer.py", line 533, in createConnection
    return ctor(**params)
  File "/usr/share/vdsm/storage/storageServer.py", line 244, in __init__
    options.append("vers=%d" % version)
TypeError: %d format: a number is required, not str

More context is available here: http://d.pr/n/dA5K+

Managed to reproduce latest engine-core.
Comment 1 Yair Zaslavsky 2012-06-13 03:03:13 EDT
Fixed and merged upstream.

http://gerrit.ovirt.org/gitweb?p=vdsm.git;a=commit;h=ab9e8123d9f774a72c0e0158399072b87fb80dc6
Comment 2 Itamar Heim 2012-08-09 04:00:12 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/

Note You need to log in before you can comment on or make changes to this bug.